package tagsvc

import (
	"legalgo-BE-go/database"
	tagrepository "legalgo-BE-go/internal/accessor/tag"
	tagdomain "legalgo-BE-go/internal/domain/tag"
)

type impl struct {
	tagRepo tagrepository.TagAccessor
}

type TagIntf interface {
	Create(tagdomain.TagReq) error
	GetAll() ([]tagdomain.Tag, error)
	GetAllModel() ([]database.TagModel, error)
}

func New(
	tagRepo tagrepository.TagAccessor,
) TagIntf {
	return &impl{tagRepo}
}
